LTX-2.3 22B Video Trainer
集成
模型 id
ltx23-video-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx23-video-trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx23-video-trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx23-video-trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ltx23-video-trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
}
}
通过 Doitong API 调用 LTX-2.3 22B Video Trainer 模型(ltx23-video-trainer)。智能体文档:https://doitong.com/zh/developers/models/ltx23-video-trainer.md
POST https://api.doitong.com/v1/run/ltx23-video-trainer?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"training_data_url": "https://example.com/your-file.zip"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/ltx23-video-trainer,可在运行前返回确切价格。
此请求: $9.60 9,600 API 积分 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/ltx23-video-trainer?wait=20
报价 → $9.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx23-video-trainer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"training_data_url": "https://example.com/your-file.zip"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx23-video-trainer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"training_data_url": "https://example.com/your-file.zip"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"training_data_url": "https://example.com/your-file.zip",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx23-video-trainer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ltx23-video-trainer",
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"wait_seconds": 20
}
}
}
关于 LTX-2.3 22B Video Trainer
在 LTX-2.3 22B 模型上训练 LoRA,从视频或图像 zip 中学习自定义风格和效果,理想情况下包含 10 个或更多文件。`number_of_steps` 范围为 100 到 6000(默认 2000),`frame_rate` 默认 25,`first_frame_conditioning_p` 默认 0.5。`with_audio` 强制启用或禁用音频训练,`generate_audio_in_validation` 控制预览中的音频。
参数
名称类型
默认值允许值
描述
training_data_url必填
类型string
包含纯图像或纯视频数据集的 ZIP 存档 URL;不支持混合媒体数据集。建议至少包含 10 个文件,最好使用更大的集合。图像接受扩展名 .png、.jpg、.jpeg,视频接受 .mp4、.mov、.avi、.mkv。媒体文件可选择附带字幕文本文件,每个字幕文件的名称应与对应媒体文件匹配。
rank可选
类型enum
默认值32
8163264128
LoRA 适配秩;该值越高,容量越大,但内存消耗也越高。
number_of_steps可选
类型integer
默认值2000
100 – 6,000
训练步数总数。
learning_rate可选
类型number
默认值0.0002
0.000001 – 1
优化学习率,在训练速度可能提升与增大后过拟合风险之间进行权衡。
number_of_frames可选
类型integer
默认值89
9 – 121
每个训练样本的帧数。将该数量除以 8 必须余 1;示例包括 1、9、17、25、33、41、49、57、65、73、81、89、97。
frame_rate可选
类型integer
默认值25
8 – 60
目标视频帧率,以每秒帧数表示。
resolution可选
类型enum
默认值medium
lowmediumhigh
训练分辨率。提高分辨率会增加内存需求。
aspect_ratio可选
类型enum
默认值1:1
16:91:19:16
训练宽高比。
trigger_phrase可选
类型string
默认值
LoRA 样式激活短语,训练期间插入字幕开头。
auto_scale_input可选
类型boolean
默认值false
启用后自动调整视频,以匹配请求的 FPS 和帧数;图像数据集保持不变。
split_input_into_scenes可选
类型boolean
默认值true
超过时长阈值的视频场景拆分;为 true 时启用。
split_input_duration_threshold可选
类型number
默认值30
1 – 60
以秒数表示的场景拆分触发阈值:只有超过该时长的视频才会被拆分。
debug_dataset可选
类型boolean
默认值false
用于在完整训练运行前检查视频、图像和字幕的预处理检查模式。启用后,训练器会将处理后的训练数据集返回为可下载存档,以便手动检查。
with_audio可选
类型boolean | null
选择 True 可强制在视频训练的同时进行音频训练,选择 False 可排除音频。保留默认值 None 时,会根据所提供视频是否包含音频自动选择。
audio_normalize可选
类型boolean
默认值true
峰值振幅归一化,建议使用,以将峰值调整到共同水平,使整个数据集的音频电平保持一致。
audio_preserve_pitch可选
类型boolean
默认值true
音频和视频长度不同时的音高保留:启用时使用时间拉伸或压缩;禁用时改用裁剪或静音填充。
first_frame_conditioning_p可选
类型number
默认值0.5
0 – 1
通过提高训练使用首帧条件的频率来改善图像生成视频性能;此值设置该概率。
validation可选
类型object[]
默认值[]
≤ 2 个项目
训练验证提示词列表,其中的输入必须全部包含图像,或全部不包含图像。
validation[].prompt必填
类型string
验证期间使用的提示词。
validation[].image_url可选
类型url · image
用于图像生成视频验证的图像;仅当其他每个验证输入也包含图像时才允许使用。
validation_negative_prompt可选
类型string
默认值worst quality, inconsistent motion, blurry, jittery, distorted
验证期间应用的负面提示词。
validation_number_of_frames可选
类型integer
默认值89
9 – 121
每个验证视频的帧数。
validation_frame_rate可选
类型integer
默认值25
8 – 60
目标验证视频帧率,以每秒帧数表示。
validation_resolution可选
类型enum
默认值high
lowmediumhigh
验证期间使用的分辨率。
validation_aspect_ratio可选
类型enum
默认值1:1
16:91:19:16
验证期间使用的宽高比。
stg_scale可选
类型number
默认值1
0 – 3
时空引导(STG)缩放,建议使用 1.0,使用 0.0 可关闭 STG。
generate_audio_in_validation可选
类型boolean
默认值true
控制验证样本是否包含生成的音频。
必填
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ltx23-video-trainer",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 9600,
"usd": "9.60",
"charged": 9600,
"refunded": 0
},
"input": {
"training_data_url": "https://example.com/your-file.zip"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"lora_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"config_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"debug_dataset": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size} | null任何可用验证视频的 URL。
- lora_file
- object {url, content_type, file_name, file_size}采用 .safetensors 格式的已训练 LoRA 权重 URL。
- config_file
- object {url, content_type, file_name, file_size}推理端点设置的配置。
- debug_dataset
- object {url, content_type, file_name, file_size} | null可下载的调试存档,仅对启用 `debug_dataset` 的输入返回;其中包含预处理后的训练数据集,包括解码后的音频和视频。
更多模型:训练
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/ltx23-video-trainer.md. 所有模型和指南: https://doitong.com/developers/llms.txt